# Package org.springframework.jmx

@NonNullApi @NonNullFields package org.springframework.jmx
This package contains Spring's JMX support, which includes registration of Spring-managed beans as JMX MBeans as well as access to remote JMX MBeans.

Related Packages
Package
Description
org.springframework.jmx.access
Provides support for accessing remote MBean resources.
org.springframework.jmx.export
This package provides declarative creation and registration of Spring-managed beans as JMX MBeans.
org.springframework.jmx.support
Contains support classes for connecting to local and remote `MBeanServer`s and for exposing an `MBeanServer` to remote clients.
Exceptions
Class
Description
JmxException
General base exception to be thrown on JMX errors.
MBeanServerNotFoundException
Exception thrown when we cannot locate an instance of an `MBeanServer`, or when more than one instance is found.